GET /api/v3/digital-boards/constants/digital-board-formats¶
Summary¶
GET /digital-boards/constants/digital-board-formats
Description¶
Returns a list of digital board formats constants
Each digital board has a board format that is automatically set based on the
size ratio of the board. And is returned in the digital_board_format field
The size parameter in this data set is simply an average size or standard size
that fits into the ratios min/max. This does not mean that the board is exactly
this size. It is just a standard size that fits into the ratio.
Tags: digital-boards
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)digital_board_formats(object) Type:object
Properties:
-
oddvertical(object) Type:objectProperties:
name(string)size(object) Type:object
Properties:
width(integer)-
height(integer) -
ratios(object) Type:object
Properties:
min(integer)-
max(number) -
meta(array)
-
vertical(object) Type:objectProperties:
name(string)size(object) Type:object
Properties:
width(integer)-
height(integer) -
ratios(object) Type:object
Properties:
min(number)-
max(number) -
meta(array)
-
tall(object) Type:objectProperties:
name(string)size(object) Type:object
Properties:
width(integer)-
height(integer) -
ratios(object) Type:object
Properties:
min(number)-
max(number) -
meta(array)
-
tallblock(object) Type:objectProperties:
name(string)size(object) Type:object
Properties:
width(integer)-
height(integer) -
ratios(object) Type:object
Properties:
min(number)-
max(number) -
meta(array)
-
block(object) Type:objectProperties:
name(string)size(object) Type:object
Properties:
width(integer)-
height(integer) -
ratios(object) Type:object
Properties:
min(integer)-
max(integer) -
meta(array)
-
oddblock(object) Type:objectProperties:
name(string)size(object) Type:object
Properties:
width(integer)-
height(integer) -
ratios(object) Type:object
Properties:
min(number)-
max(number) -
meta(array)
-
oddball(object) Type:objectProperties:
name(string)size(object) Type:object
Properties:
width(integer)-
height(integer) -
ratios(object) Type:object
Properties:
min(number)-
max(number) -
meta(array)
-
widescreen(object) Type:objectProperties:
name(string)size(object) Type:object
Properties:
width(integer)-
height(integer) -
ratios(object) Type:object
Properties:
min(number)-
max(number) -
meta(array)
-
oddposter(object) Type:objectProperties:
name(string)size(object) Type:object
Properties:
width(integer)-
height(integer) -
ratios(object) Type:object
Properties:
min(number)-
max(number) -
meta(array)
-
poster(object) Type:objectProperties:
name(string)size(object) Type:object
Properties:
width(integer)-
height(integer) -
ratios(object) Type:object
Properties:
min(integer)-
max(number) -
meta(array)
-
medianposter(object) Type:objectProperties:
name(string)size(object) Type:object
Properties:
width(integer)-
height(integer) -
ratios(object) Type:object
Properties:
min(number)-
max(number) -
meta(array)
-
median(object) Type:objectProperties:
name(string)size(object) Type:object
Properties:
width(integer)-
height(integer) -
ratios(object) Type:object
Properties:
min(number)-
max(number) -
meta(array)
-
third(object) Type:objectProperties:
name(string)size(object) Type:object
Properties:
width(integer)-
height(integer) -
ratios(object) Type:object
Properties:
min(number)-
max(number) -
meta(array)
-
bulletin(object) Type:objectProperties:
name(string)size(object) Type:object
Properties:
width(integer)-
height(integer) -
ratios(object) Type:object
Properties:
min(number)-
max(number) -
meta(array)
-
bulletinquarter(object) Type:objectProperties:
name(string)size(object) Type:object
Properties:
width(integer)-
height(integer) -
ratios(object) Type:object
Properties:
min(number)-
max(number) -
meta(array)
-
quarter(object) Type:objectProperties:
name(string)size(object) Type:object
Properties:
width(integer)-
height(integer) -
ratios(object) Type:object
Properties:
min(number)-
max(number) -
meta(array)
-
quarterbeyond(object) Type:objectProperties:
name(string)size(object) Type:object
Properties:
width(integer)-
height(integer) -
ratios(object) Type:object
Properties:
min(number)-
max(integer) -
meta(array)
Example Response¶
{
"success": true,
"digital_board_formats": {
"oddvertical": {
"name": "Extra Vertical",
"size": {
"width": 350,
"height": 1000
},
"ratios": {
"min": 0,
"max": 0.3999
},
"meta": []
},
"vertical": {
"name": "Vertical",
"size": {
"width": 1080,
"height": 1920
},
"ratios": {
"min": 0.4,
"max": 0.5999
},
"meta": []
},
"tall": {
"name": "Tall",
"size": {
"width": 700,
"height": 1000
},
"ratios": {
"min": 0.6,
"max": 0.7999
},
"meta": []
},
"tallblock": {
"name": "Tall Block",
"size": {
"width": 540,
"height": 600
},
"ratios": {
"min": 0.8,
"max": 0.9999
},
"meta": []
},
"block": {
"name": "Block",
"size": {
"width": 600,
"height": 600
},
"ratios": {
"min": 1,
"max": 1
},
"meta": []
},
"oddblock": {
"name": "Wide Block",
"size": {
"width": 1000,
"height": 833
},
"ratios": {
"min": 1.0001,
"max": 1.3999
},
"meta": []
},
"oddball": {
"name": "Wider Block",
"size": {
"width": 1000,
"height": 625
},
"ratios": {
"min": 1.4,
"max": 1.6999
},
"meta": []
},
"widescreen": {
"name": "Widescreen",
"size": {
"width": 1920,
"height": 1080
},
"ratios": {
"min": 1.7,
"max": 1.8
},
"meta": []
},
"oddposter": {
"name": "Tall Poster",
"size": {
"width": 1000,
"height": 526
},
"ratios": {
"min": 1.8001,
"max": 1.9999
},
"meta": []
},
"poster": {
"name": "Poster",
"size": {
"width": 840,
"height": 400
},
"ratios": {
"min": 2,
"max": 2.2222
},
"meta": []
},
"medianposter": {
"name": "Median Poster",
"size": {
"width": 1000,
"height": 447
},
"ratios": {
"min": 2.2223,
"max": 2.2499
},
"meta": []
},
"median": {
"name": "Median",
"size": {
"width": 1000,
"height": 400
},
"ratios": {
"min": 2.25,
"max": 2.7499
},
"meta": []
},
"third": {
"name": "Third",
"size": {
"width": 1200,
"height": 400
},
"ratios": {
"min": 2.75,
"max": 3.2665
},
"meta": []
},
"bulletin": {
"name": "Bulletin",
"size": {
"width": 1400,
"height": 400
},
"ratios": {
"min": 3.2666,
"max": 3.717
},
"meta": []
},
"bulletinquarter": {
"name": "Bulletin Quarter",
"size": {
"width": 1000,
"height": 267
},
"ratios": {
"min": 3.7171,
"max": 3.7499
},
"meta": []
},
"quarter": {
"name": "Quarter",
"size": {
"width": 1600,
"height": 400
},
"ratios": {
"min": 3.75,
"max": 4.25
},
"meta": []
},
"quarterbeyond": {
"name": "Quarter Beyond",
"size": {
"width": 1000,
"height": 234
},
"ratios": {
"min": 4.2501,
"max": 1000
},
"meta": []
}
}
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/digital-boards/constants/digital-board-formats" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/digital-boards/constants/digital-board-formats"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/digital-boards/constants/digital-board-formats',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/digital-boards/constants/digital-board-formats'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()
Example Responses¶
200 Response¶
{
"success": true,
"digital_board_formats": {
"oddvertical": {
"name": "Extra Vertical",
"size": {
"width": 350,
"height": 1000
},
"ratios": {
"min": 0,
"max": 0.3999
},
"meta": []
},
"vertical": {
"name": "Vertical",
"size": {
"width": 1080,
"height": 1920
},
"ratios": {
"min": 0.4,
"max": 0.5999
},
"meta": []
},
"tall": {
"name": "Tall",
"size": {
"width": 700,
"height": 1000
},
"ratios": {
"min": 0.6,
"max": 0.7999
},
"meta": []
},
"tallblock": {
"name": "Tall Block",
"size": {
"width": 540,
"height": 600
},
"ratios": {
"min": 0.8,
"max": 0.9999
},
"meta": []
},
"block": {
"name": "Block",
"size": {
"width": 600,
"height": 600
},
"ratios": {
"min": 1,
"max": 1
},
"meta": []
},
"oddblock": {
"name": "Wide Block",
"size": {
"width": 1000,
"height": 833
},
"ratios": {
"min": 1.0001,
"max": 1.3999
},
"meta": []
},
"oddball": {
"name": "Wider Block",
"size": {
"width": 1000,
"height": 625
},
"ratios": {
"min": 1.4,
"max": 1.6999
},
"meta": []
},
"widescreen": {
"name": "Widescreen",
"size": {
"width": 1920,
"height": 1080
},
"ratios": {
"min": 1.7,
"max": 1.8
},
"meta": []
},
"oddposter": {
"name": "Tall Poster",
"size": {
"width": 1000,
"height": 526
},
"ratios": {
"min": 1.8001,
"max": 1.9999
},
"meta": []
},
"poster": {
"name": "Poster",
"size": {
"width": 840,
"height": 400
},
"ratios": {
"min": 2,
"max": 2.2222
},
"meta": []
},
"medianposter": {
"name": "Median Poster",
"size": {
"width": 1000,
"height": 447
},
"ratios": {
"min": 2.2223,
"max": 2.2499
},
"meta": []
},
"median": {
"name": "Median",
"size": {
"width": 1000,
"height": 400
},
"ratios": {
"min": 2.25,
"max": 2.7499
},
"meta": []
},
"third": {
"name": "Third",
"size": {
"width": 1200,
"height": 400
},
"ratios": {
"min": 2.75,
"max": 3.2665
},
"meta": []
},
"bulletin": {
"name": "Bulletin",
"size": {
"width": 1400,
"height": 400
},
"ratios": {
"min": 3.2666,
"max": 3.717
},
"meta": []
},
"bulletinquarter": {
"name": "Bulletin Quarter",
"size": {
"width": 1000,
"height": 267
},
"ratios": {
"min": 3.7171,
"max": 3.7499
},
"meta": []
},
"quarter": {
"name": "Quarter",
"size": {
"width": 1600,
"height": 400
},
"ratios": {
"min": 3.75,
"max": 4.25
},
"meta": []
},
"quarterbeyond": {
"name": "Quarter Beyond",
"size": {
"width": 1000,
"height": 234
},
"ratios": {
"min": 4.2501,
"max": 1000
},
"meta": []
}
}
}